Developer Documentation

Public Slots | Signals | Public Member Functions | Private Slots | Private Member Functions | Friends | List of all members
SplatCloudObjectSelectionPlugin Class Reference
Inheritance diagram for SplatCloudObjectSelectionPlugin:

## Public Slots
void | loadSelection (int _objectId, const QString &_filename)
QString | version ()
bool | vertexTypeActive ()
Scriptable slots
void | selectVertices (int _objectId, IdList _vertexList)
| Select given vertices.
void | unselectVertices (int _objectId, IdList _vertexList)
| Unselect given vertices.
void | selectAllVertices (int _objectId)
| Select all vertices.
void | clearVertexSelection (int _objectId)
| Unselect all vertices.
void | invertVertexSelection (int _objectId)
| Invert the current vertex selection.
IdList | getVertexSelection (int _objectId)
| Return a list of all selected vertices.
void | deleteVertexSelection (int _objectId)
| Delete vertices that are currently selected.
void | colorizeVertexSelection (int _objectId, int _r, int _g, int _b, int _a)
| Colorize the vertex selection.
void | lassoSelect (QRegion &_region, PrimitiveType _primitiveType, bool _deselection)
| Lasso selection tool.

## Signals
void | updateView ()
void | updatedObject (int _objectId, const UpdateType &_type)
void | nodeVisibilityChanged (int _objectId)
void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
void | createBackup (int _objectId, QString _name, UpdateType _type=UPDATE_ALL)
void | log (QString _message)
void | log (Logtype _type, QString _message)
void | addSelectionEnvironment (QString _modeName, QString _description, QString _icon, QString &_handleName)
void | registerType (QString _handleName, DataType _type)
void | addPrimitiveType (QString _handleName, QString _name, QString _icon, SelectionInterface::PrimitiveType &_typeHandle)
void | addSelectionOperations (QString _handleName, QStringList _operationsList, QString _category, SelectionInterface::PrimitiveType _type=0u)
void | showToggleSelectionMode (QString _handleName, bool _show, SelectionInterface::PrimitiveType _associatedTypes)
void | showSphereSelectionMode (QString _handleName, bool _show, SelectionInterface::PrimitiveType _associatedTypes)
void | showLassoSelectionMode (QString _handleName, bool _show, SelectionInterface::PrimitiveType _associatedTypes)
void | showVolumeLassoSelectionMode (QString _handleName, bool _show, SelectionInterface::PrimitiveType _associatedTypes)
void | getActiveDataTypes (SelectionInterface::TypeList &_types)
void | getActivePrimitiveType (SelectionInterface::PrimitiveType &_type)
void | targetObjectsOnly (bool &_targetsOnly)
void | registerKeyShortcut (int _key, Qt::KeyboardModifiers _modifiers=Qt::NoModifier)
void | deleteObject (int _objectId)
void | scriptInfo (QString _functionName)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from BackupInterface
virtual void | createBackup (int _objectid, QString _name, UpdateType _type=UPDATE_ALL)
| Tell Backup Plugin to create a backup. More...
virtual void | aboutToRestore (int _objectid)
| Backup Plugin tells other Plugins that a restore will happen. More...
virtual void | generateBackup (int _id, QString _name, UpdateType _type)
| This signal is emitted by a BackupPlugin and tells a TypePlugin to generate a backup. More...
Signals inherited from LoggingInterface
virtual void | log (Logtype _type, QString _message)=0
virtual void | log (QString _message)=0
Signals inherited from SelectionInterface
virtual void | addSelectionEnvironment (QString _modeName, QString _description, QString _icon, QString &_handleName)
| Add a selection environment in order to provide selection functions for specific data type(s) More...
virtual void | showToggleSelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show toggle selection mode in a specified selection environment. More...
virtual void | registerKeyShortcut (int _key, Qt::KeyboardModifiers _modifiers=Qt::NoModifier)
| Register key shortcut. More...
virtual void | addSelectionOperations (QString _handleName, QStringList _operationsList, QString _category, PrimitiveType _type=0u)
| Add non-interactive selection operations for a specific primitive type. More...
virtual void | selectionOperation (QString _operation)
| Emitted by selection base plugin when a non-interactive selection operation is requested. More...
Signals inherited from LoadSaveInterface
virtual void | save (int _id, QString _filename)
| Save object to a file. More...
virtual void | load (QString _filename, DataType _type, int &_id)
| Load object from file with a specific DataType. More...
Signals inherited from KeyInterface
virtual void | registerKey (int _key, Qt::KeyboardModifiers _modifiers, QString _description, bool _multiUse=false)
| Register a key-combination for your plugin. More...
Signals inherited from ScriptInterface
virtual void | scriptInfo (QString _functionWithParameters)
| Emit this signal if a scriptable function is executed. More...
virtual void | getScriptingEngine (QScriptEngine *&_engine)
virtual void | executeScript (QString _script)
virtual void | getAvailableFunctions (QStringList &_functions)

## Public Member Functions
| SplatCloudObjectSelectionPlugin ()
| Default constructor.
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...

## Private Slots
void | loadIniFile (INIFile &_ini, int _objectId)
void | saveIniFile (INIFile &_ini, int _objectId)
void | initializePlugin ()
void | pluginsInitialized ()
void | noguiSupported ()
Private Slots inherited from BaseInterface
virtual void | exit ()
virtual QString | version ()
| Return a version string for your plugin. More...
Private Slots inherited from SelectionInterface
virtual void | loadSelection (int _objId, const QString &_filename)
| Scripting slot for loading selections. More...
Private Slots inherited from KeyInterface
virtual void | slotKeyEvent (QKeyEvent *_event)
| Key Event from Main App. More...

## Private Member Functions
void | slotSelectionOperation (QString _operation)
| A specific operation is requested. More...
void | slotToggleSelection (QMouseEvent *_event, SelectionInterface::PrimitiveType _currentType, bool _deselect)
| Called whenever the user performs a toggle selection. More...
void | slotSphereSelection (QMouseEvent *_event, double _radius, SelectionInterface::PrimitiveType _currentType, bool _deselect)
| Called whenever the user performs a sphere selection. More...
void | slotLassoSelection (QMouseEvent *_event, SelectionInterface::PrimitiveType _currentType, bool _deselect)
| Called whenever the user performs a lasso selection. More...
void | slotVolumeLassoSelection (QMouseEvent *_event, SelectionInterface::PrimitiveType _currentType, bool _deselect)
| Called whenever the user performs a volume lasso selection. More...
void | slotLoadSelection (const INIFile &_file)
| Load selection for specific objects in the scene. More...
void | slotSaveSelection (INIFile &_file)
| Save selection for all objects in the scene. More...
void | slotKeyShortcutEvent (int _key, Qt::KeyboardModifiers _modifiers)
| One of the previously registered keys has been pressed. More...
Private methods
void | updateSlotDescriptions ()
| Set descriptions for local public slots.
void | setColorForSelection (const int _objectId, const PrimitiveType _primitiveType)
| Set color for selection.
Template Functions
bool | splatCloudDeleteSelection (SplatCloud *_splatCloud, PrimitiveType _primitiveType)
| Delete all selected elements of a SplatCloud. More...
void | splatCloudToggleSelection (SplatCloud *_splatCloud, uint _index, ACG::Vec3d &_hit_point, PrimitiveType _primitiveType)
| Toggle SplatCloud selection. More...
void | splatCloudSphereSelection (SplatCloud *_splatCloud, uint _index, ACG::Vec3d &_hit_point, double _radius, PrimitiveType _primitiveTypes, bool _deselection)
| Use the event to paint selection with a sphere. More...
bool | splatCloudVolumeSelection (SplatCloud *_splatCloud, ACG::GLState &_state, QRegion *_region, PrimitiveType _primitiveTypes, bool _deselection)
| Surface volume selection tool. More...
void | splatCloudColorizeSelection (SplatCloud *_splatCloud, PrimitiveType _primitiveTypes, int _r, int _g, int _b, int _a)
| Colorize the selection. More...
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from BackupInterface
virtual void | createBackup (IdList _objectids, QString _name, std::vector< UpdateType > _types)
| Tell Backup Plugin to create a group backup. More...
virtual void | undo (int _objectid)
| Tell Backup Plugin to undo the last action of an object. More...
virtual void | redo (int _objectid)
| Tell Backup Plugin to redo the last action on an object. More...
virtual void | undo ()
| Tell Backup Plugin to undo the last action. More...
virtual void | redo ()
| Tell Backup Plugin to redo the last action. More...
virtual | ~BackupInterface ()
| Destructor.
virtual void | restored (int _objectid)
| Backup Plugin tells other Plugins that a restore has happened. More...
Private Member Functions inherited from LoggingInterface
virtual | ~LoggingInterface ()
| Destructor.
Private Member Functions inherited from SelectionInterface
virtual | ~SelectionInterface ()
| Destructor.
virtual void | registerType (QString _handleName, DataType _type)
| Register data type for a selection environment. More...
virtual void | addPrimitiveType (QString _handleName, QString _name, QString _icon, PrimitiveType &_typeHandle)
| Provide selection for primitives other than the standard ones. More...
virtual void | showLassoSelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show lasso selection mode in a specified selection environment. More...
virtual void | showVolumeLassoSelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show volume lasso selection mode in a specified selection environment. More...
virtual void | showSurfaceLassoSelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show surface lasso selection mode in a specified selection environment. More...
virtual void | showSphereSelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show sphere selection mode in a specified selection environment. More...
virtual void | showClosestBoundarySelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show closest boundary selection mode in a specified selection environment. More...
virtual void | showFloodFillSelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show flood fill selection mode in a specified selection environment. More...
virtual void | showComponentsSelectionMode (QString _handleName, bool _show, PrimitiveType _associatedTypes)
| Show connected components selection mode in a specified selection environment. More...
virtual void | addCustomSelectionMode (QString _handleName, QString _modeName, QString _description, QString _icon, PrimitiveType _associatedTypes, QString &_customIdentifier)
| Add a custom interactive selection mode. More...
virtual void | addCustomSelectionMode (QString _handleName, QString _modeName, QString _description, QString _icon, PrimitiveType _associatedTypes, QString &_customIdentifier, DataType _objectTypeRestriction)
| Add a custom interactive selection mode. More...
virtual void | getActiveDataTypes (TypeList &_types)
| Get the data types that the currently active selection environment supports. More...
virtual void | getActivePrimitiveType (PrimitiveType &_type)
| Get the primitive type that is selected. More...
virtual void | targetObjectsOnly (bool &_targetsOnly)
| Indicates whether selection should be performed on target objects only. More...
virtual void | addSelectionParameters (QString _handleName, QWidget *_widget, QString _category, PrimitiveType _type=0u)
| Add interactive selection parameters for a specific primitive type. More...
virtual void | toggleSelection (QMouseEvent *_event, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a toggle selection. More...
virtual void | lassoSelection (QMouseEvent *_event, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a lasso selection. More...
virtual void | volumeLassoSelection (QMouseEvent *_event, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a volume lasso selection. More...
virtual void | surfaceLassoSelection (QMouseEvent *_event, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a surface lasso selection. More...
virtual void | sphereSelection (QMouseEvent *_event, double _radius, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a sphere selection. More...
virtual void | closestBoundarySelection (QMouseEvent *_event, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a closest boundary selection. More...
virtual void | floodFillSelection (QMouseEvent *_event, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a flood fill selection. More...
virtual void | componentsSelection (QMouseEvent *_event, PrimitiveType _currentType, bool _deselect)
| Emitted by selection base plugin whenever the user performs a connected components selection. More...
virtual void | customSelection (QMouseEvent *_event, PrimitiveType _currentType, QString _customIdentifier, bool _deselect)
| Emitted by selection base plugin whenever the user performs a custom selection. More...
virtual void | loadSelection (const INIFile &_file)
| Load selections from ini-file. More...
virtual void | saveSelection (INIFile &_file)
| Save selections into ini-file. More...
virtual void | keyShortcutEvent (int _key, Qt::KeyboardModifiers _modifiers=Qt::NoModifier)
| Key shortcut event happened. More...
Private Member Functions inherited from LoadSaveInterface
virtual | ~LoadSaveInterface ()
| Destructor.
virtual void | addEmptyObject (DataType _type, int &_id)
virtual void | copyObject (int _oldId, int &_newId)
virtual void | emptyObjectAdded (int _id)
| DEPRECATED HERE (Moved to Type Interface)! Emit this signal if an empty object has been created. More...
virtual void | deleteObject (int _id)
| Delete an object This signal can be called from any thread. . More...
virtual void | deleteAllObjects ()
| Delete all Objects. More...
virtual void | getAllFileFilters (QStringList &_filters)
| Get all file filters that are registered. More...
Private Member Functions inherited from INIInterface
virtual | ~INIInterface ()
| Destructor.
Private Member Functions inherited from KeyInterface
virtual void | slotKeyReleaseEvent (QKeyEvent *_event)
| Key Release Event from Main App. More...
virtual | ~KeyInterface ()
| Destructor.
Private Member Functions inherited from ScriptInterface
virtual | ~ScriptInterface ()
| Destructor.
virtual void | executeFileScript (QString _filename)
virtual void | getDescription (QString _function, QString &_description, QStringList &_parameters, QStringList &_descriptions)

## Private Attributes
Member variables
QString | environmentHandle_
| Handle to selection environment.
SelectionInterface::PrimitiveType | vertexType_
| Primitive type handle.
SelectionInterface::PrimitiveType | allSupportedTypes_
| Primitive type handle.
QPolygon | lasso_2Dpoints_
| Used for lasso selection tool.
QVector< QPoint > | volumeLassoPoints_
| Used for volume lasso tool.

## Friends
class | SelectVolumeAction

## Additional Inherited Members
Private Types inherited from SelectionInterface
typedef std::vector< DataType > | TypeList
typedef unsigned int | PrimitiveType

## Detailed Description

Definition at line 85 of file SplatCloudObjectSelectionPlugin.hh.

## Member Function Documentation

## ◆ description()

QString SplatCloudObjectSelectionPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 176 of file SplatCloudObjectSelectionPlugin.hh.

## ◆ name()

QString SplatCloudObjectSelectionPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 175 of file SplatCloudObjectSelectionPlugin.hh.

## ◆ slotKeyShortcutEvent()

void SplatCloudObjectSelectionPlugin::slotKeyShortcutEvent | ( | int | _key,
|  | Qt::KeyboardModifiers | _modifiers
| ) |  |
| private virtual

One of the previously registered keys has been pressed.

This slot is called whenever the user has pressed one of the registered keys. Note that this is actually handled by the selection base plugin since the different plugins might want to register the same key multiple times.

Parameters

  _key | The pressed key
  _modifiers | Indicates whether mod-keys have been pressed synchronously

Reimplemented from SelectionInterface.

Definition at line 553 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ slotLassoSelection()

void SplatCloudObjectSelectionPlugin::slotLassoSelection | ( | QMouseEvent * | _event,
|  | SelectionInterface::PrimitiveType | _currentType,
|  | bool | _deselect
| ) |  |
| private virtual

Called whenever the user performs a lasso selection.

This has to be implemented by each type selection plugin if this interactive selection mode should be provided. The metaphor behind it is that the user draws a polygonal line and all primitives which are visible get selected.

Parameters

  _event | The mouse event that currently is performed
  _currentType | The currently active primitive type
  _deselect | True if entities should be deselected

Reimplemented from SelectionInterface.

Definition at line 341 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ slotLoadSelection()

void SplatCloudObjectSelectionPlugin::slotLoadSelection | ( | const INIFile & | _file | ) |
| private virtual

Load selection for specific objects in the scene.

OpenFlipper allows for saving of selections in an INI file (implemented by the different selection plugins by overriding function slotSaveSelection()). So this slot is called each time such INI file is about to be loaded.

Parameters

  _file | The file from which one can read the selection data

Reimplemented from SelectionInterface.

Definition at line 506 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ slotSaveSelection()

void SplatCloudObjectSelectionPlugin::slotSaveSelection | ( | INIFile & | _file | ) |
| private virtual

Save selection for all objects in the scene.

Override this slot in order to save selections for a specific data type. These selections are then stored within an INI file and can be loaded via slotLoadSelection().

Parameters

  _file | The file into which one can store selection data

Reimplemented from SelectionInterface.

Definition at line 534 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ slotSelectionOperation()

void SplatCloudObjectSelectionPlugin::slotSelectionOperation | ( | QString | _operation | ) |
| private virtual

A specific operation is requested.

This slot is called each time the user has pressed one of the operations buttons (for the various primitive types) offered in the tool box.

Parameters

  _operation | The identifier of the operation just as registered via addSelectionOperations

Reimplemented from SelectionInterface.

Definition at line 153 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ slotSphereSelection()

void SplatCloudObjectSelectionPlugin::slotSphereSelection | ( | QMouseEvent * | _event,
|  | double | _radius,
|  | SelectionInterface::PrimitiveType | _currentType,
|  | bool | _deselect
| ) |  |
| private virtual

Called whenever the user performs a sphere selection.

This has to be implemented by each type selection plugin if this interactive selection mode should be provided. The metaphor behind it is that the user draws the selection with a sphere. All primitives inside the current sphere get selected.

Parameters

  _event | The mouse event that currently is performed
  _radius | The current radius of the selection sphere
  _currentType | The currently active primitive type
  _deselect | True if entities should be deselected

Reimplemented from SelectionInterface.

Definition at line 310 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ slotToggleSelection()

void SplatCloudObjectSelectionPlugin::slotToggleSelection | ( | QMouseEvent * | _event,
|  | SelectionInterface::PrimitiveType | _currentType,
|  | bool | _deselect
| ) |  |
| private virtual

Called whenever the user performs a toggle selection.

This has to be implemented by each type selection plugin if this interactive selection mode should be provided.

Parameters

  _event | The mouse event that occurred
  _currentType | The currently active primitive type
  _deselect | True if entities should be deselected

Reimplemented from SelectionInterface.

Definition at line 272 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ slotVolumeLassoSelection()

void SplatCloudObjectSelectionPlugin::slotVolumeLassoSelection | ( | QMouseEvent * | _event,
|  | SelectionInterface::PrimitiveType | _currentType,
|  | bool | _deselect
| ) |  |
| private virtual

Called whenever the user performs a volume lasso selection.

This has to be implemented by each type selection plugin if this interactive selection mode should be provided. The metaphor behind it is that the user draws a polygonal line and all primitives which are insinde the volume spanned by the eye position and the polygon get selected.

Parameters

  _event | The mouse event that currently is performed
  _currentType | The currently active primitive type
  _deselect | True if entities should be deselected

Reimplemented from SelectionInterface.

Definition at line 373 of file SplatCloudObjectSelectionPlugin.cc.

## ◆ splatCloudColorizeSelection()

void SplatCloudObjectSelectionPlugin::splatCloudColorizeSelection | ( | SplatCloud * | _splatCloud,
|  | PrimitiveType | _primitiveTypes,
|  | int | _r,
|  | int | _g,
|  | int | _b,
|  | int | _a
| ) |  |
| private

Colorize the selection.

Colorize a selection.

Parameters

  _splatCloud | a SplatCloud
  _primitiveTypes | selection types
  _r | red rgba color-component
  _g | green rgba color-component
  _b | blue rgba color-component
  _a | blue rgba color-component

Definition at line 272 of file SplatCloudObjectSelectionPlugin2.cc.

## ◆ splatCloudDeleteSelection()

bool SplatCloudObjectSelectionPlugin::splatCloudDeleteSelection | ( | SplatCloud * | _splatCloud,
|  | PrimitiveType | _primitiveType
| ) |  |
| private

Delete all selected elements of a SplatCloud.

Parameters

  _splatCloud | a SplatCloud
  _primitiveType | bitmask of active primitive types

Returns
  returns true if the SplatCloud was changed (i.e there was something selected that was deleted)

Definition at line 74 of file SplatCloudObjectSelectionPlugin2.cc.

## ◆ splatCloudSphereSelection()

void SplatCloudObjectSelectionPlugin::splatCloudSphereSelection | ( | SplatCloud * | _splatCloud,
|  | uint | _index,
|  | ACG::Vec3d & | _hit_point,
|  | double | _radius,
|  | PrimitiveType | _primitiveType,
|  | bool | _deselection
| ) |  |
| private

Use the event to paint selection with a sphere.

paint selection with a sphere

Parameters

  _splatCloud | a SplatCloud
  _index | index of vertex that was picked
  _hit_point | point that was picked
  _radius | selection sphere radius
  _primitiveType | primitive types to be selected
  _deselection | true, if entities should be deselected

Definition at line 140 of file SplatCloudObjectSelectionPlugin2.cc.

## ◆ splatCloudToggleSelection()

void SplatCloudObjectSelectionPlugin::splatCloudToggleSelection | ( | SplatCloud * | _splatCloud,
|  | uint | _index,
|  | ACG::Vec3d & | _hit_point,
|  | PrimitiveType | _primitiveType
| ) |  |
| private

Toggle SplatCloud selection.

Toggle the selection state of SplatCloud primitives.

Parameters

  _splatCloud | a SplatCloud
  _index | index of vertex that was picked
  _hit_point | point that was picked
  _primitiveType | primitive types to be selected

Definition at line 98 of file SplatCloudObjectSelectionPlugin2.cc.

## ◆ splatCloudVolumeSelection()

bool SplatCloudObjectSelectionPlugin::splatCloudVolumeSelection | ( | SplatCloud * | _splatCloud,
|  | ACG::GLState & | _state,
|  | QRegion * | _region,
|  | PrimitiveType | _primitiveType,
|  | bool | _deselection
| ) |  |
| private

Surface volume selection tool.

Select all primitves that are projected to the given region.

Parameters

  _splatCloud | a SplatCloud
  _state | current gl state
  _region | region
  _primitiveType | primitive types to be selected
  _deselection | true, if entities should be deselected

Returns
  true, if something was selected

Definition at line 203 of file SplatCloudObjectSelectionPlugin2.cc.

The documentation for this class was generated from the following files:

- PluginCollection-Selection/Plugin-SelectionSplatCloudObject/SplatCloudObjectSelectionPlugin.hh
- PluginCollection-Selection/Plugin-SelectionSplatCloudObject/SplatCloudObjectSelectionPlugin.cc
- PluginCollection-Selection/Plugin-SelectionSplatCloudObject/SplatCloudObjectSelectionPlugin2.cc
- PluginCollection-Selection/Plugin-SelectionSplatCloudObject/VertexSelection.cc